:root {
    --nav-bgcolor: rgb(13, 100, 13);
    /* green */
    --nav-color: white;
    /* white */
}

* {
    box-sizing: border-box;
}

body {
    font-family: helvetica, sans-serif;
    margin: 0;
}

main,
header h1 {
    margin: 0 2rem;
}




nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}


footer {
    margin-top: 4rem;
    padding: 0.5rem;
    background-color: rgb(240, 240, 240);
    border-top: thin solid black;
}

footer p {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

nav a:link,
nav a:visited,
nav a:hover,
nav a:active {
    display: block;
    background-color: var(--nav-bgcolor);
    color: var(--nav-color);
    text-decoration: none;
}

nav a:hover {
    background-color: var(--nav-color);
    color: var(--nav-bgcolor);
}

nav {
    min-height: 40px;
    background-color: var(--nav-bgcolor);
    background-image: url(../images/pancake-menu.svg);
    background-repeat: no-repeat;
    padding-top: 40px;
}
/* hmmm... 
   maybe the "collapsed" class should
   go on the nav 
   so we can easily change background-image from pancake
   to the "X"
*/

ul.collapsed {
    display: none;
}

@media screen and (min-width: 800px) {

    nav ul,
    nav ul.collapsed {
        display: flex;
    }
    nav { padding-top: 0;
        background-image: none;}
    nav ul li {
        flex-grow: 1;
        flex-shrink: 1;
        flex-basis: 10rem;
    }

    nav a:link,
    nav a:visited,
    nav a:hover,
    nav a:active {
        text-align: center;
        padding: 0.5rem;
    }

}